/********** Template CSS **********/
:root {
    --primary: #FF5E14;
    --secondary: #5F656F;
    --light: #F5F5F5;
    /* --dark: #02245B; */
}

.back-to-top {
    position: fixed;
    display: none;
    right: 30px;
    bottom: 30px;
    z-index: 99;
}

h1,
h2,
.h1,
.h2,
.fw-bold {
    font-weight: 700 !important;
}

h3,
h4,
.h3,
.h4,
.fw-medium {
    font-weight: 600 !important;
}

h5,
h6,
.h5,
.h6,
.fw-semi-bold {
    font-weight: 500 !important;
}


/*** Spinner ***/
#spinner {
    opacity: 0;
    visibility: hidden;
    transition: opacity .5s ease-out, visibility 0s linear .5s;
    z-index: 99999;
}

#spinner.show {
    transition: opacity .5s ease-out, visibility 0s linear 0s;
    visibility: visible;
    opacity: 1;
}


/*** Button ***/
.btn {
    transition: .5s;
    font-weight: 500;
}

.btn-primary,
.btn-outline-primary:hover {
    color: #FFFFFF;
}

.btn-square {
    width: 38px;
    height: 38px;
}

.btn-sm-square {
    width: 32px;
    height: 32px;
}

.btn-lg-square {
    width: 48px;
    height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
}


.topbar-right {
    position: relative;
    background: var(--primary);
}

.topbar-right::before {
    position: absolute;
    content: "";
    width: 30px;
    height: 100%;
    top: 0;
    left: -15px;
    transform: skewX(-30deg);
    /* background-color: var(--primary); */
    background-color: #000;
}


/*** Navbar ***/
.navbar.sticky-top {
    top: -100px;
    transition: .5s;
}

.navbar .navbar-brand {
    position: relative;
    padding-right: 40px;
    /* padding-right: 130px; */
    height: 90px;
    /* height: 110px; */
    display: flex;
    align-items: center;
    /* background: var(--primary); */
    background: #fff;
}

.navbar .navbar-brand::after {
    position: absolute;
    content: "";
    /* width: 50px; */
    width: 67px;
    height: 100%;
    top: 0;
    /* right: -25px; */
    right: -40px;
    transform: skewX(-30deg);
    /* background-color: var(--primary); */
    background-color: #fff;
}

.navbar .navbar-nav .nav-link {
    margin-right: 35px;
    padding: 20px 0;
    /* color: var(--dark); */
    color: #fff;
    font-size: 18px;
    font-weight: 500;
    outline: none;
}

.navbar .navbar-nav .nav-link:hover,
.navbar .navbar-nav .nav-link.active {
    /* color: var(--primary); */
    color: #000 !important;
}

.navbar .dropdown-toggle::after {
    border: none;
    content: "\f107";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    vertical-align: middle;
    margin-left: 8px;
}

@media (max-width: 480px) {
    .about_section_1 {
        position: absolute;
        top: -60px !important;
        left: -15px !important;
        border-radius: 30px;
    }

    /* .back-to-top{
        right: 58px;
    } */

    .container-xxl .col-lg-6 .d-flex.align-items-center {
        margin-bottom: 30px;
    }

    nav.navbar.navbar-expand-lg.bg-white.navbar-light.sticky-top.py-0.pe-3 {
        overflow: hidden;
    }

    .contact_us span a {
        font-size: 13px;
    }

    .contact_us .ms-3 {
        margin-left: 7px !important;
    }

    .contact_us .ms-3 h6 {
        margin-bottom: 3px;
    }

    .d-flex.contact_us {
        align-items: center;
    }
}

@media (max-width: 991.98px) {
    .navbar .navbar-nav .nav-link {
        margin-right: 0;
        padding: 10px 0;
    }

    .navbar .navbar-nav {
        border-top: 1px solid #EEEEEE;
    }
}

@media (min-width: 992px) {
    .navbar .nav-item .dropdown-menu {
        display: block;
        border: none;
        margin-top: 0;
        top: 150%;
        opacity: 0;
        visibility: hidden;
        transition: .5s;
    }

    .navbar .nav-item:hover .dropdown-menu {
        top: 100%;
        visibility: visible;
        transition: .5s;
        opacity: 1;
    }
}

.about_section {
    position: relative;
}

.about_section_1 {
    position: absolute;
    top: -30px;
    left: -50px;
    border-radius: 30px;
}


/*** Header ***/
.carousel-caption {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    align-items: center;
    /* background: linear-gradient(to right, rgba(2, 36, 91, 1) 0%, rgba(2, 36, 91, 0) 100%); */
    background: #e1233c4f;
    z-index: 1;
}

.carousel-control-prev,
.carousel-control-next {
    width: 15%;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
    width: 3.5rem;
    height: 3.5rem;
    /* background-color: var(--primary); */
    background-color: #e1233c;
    /* border: 15px solid var(--primary); */
    border: 15px solid #e1233c;
    border-radius: 3.5rem;
}

@media (max-width: 768px) {
    #header-carousel .carousel-item {
        position: relative;
        /* min-height: 450px; */
        min-height: 270px;
    }

    #header-carousel .carousel-item img {
        position: absolute;
        /* width: 100%; */
        /* height: 100%; */
        object-fit: cover;
    }
}

@media (max-width: 480px) {
    #header-carousel .carousel-item {
        position: relative;
        min-height: 150px !important;
    }

    #header-carousel .carousel-item img {
        position: absolute;
        /* width: 100%; */
        /* height: 100%; */
        object-fit: cover;
    }

    button.carousel-control-prev {
        display: none;
    }

    button.carousel-control-next {
        display: none;
    }

    .container-fluid.banner.px-0.mb-5 {
        margin-bottom: 0px !important;
    }
}

/* .page-header {
    background: url(../images/contact-banner.jpg) center center no-repeat;
    background-size: cover;
} */

/* .page-header_1 {
    background: url(../images/about_banner.jpg) center center no-repeat;
    background-size: cover;
} */

/* .page-header_2 {
    background: url(../images/QUALITY-BANNER.jpg) center center no-repeat;
    background-size: cover;
    padding: 100px !important;
} */


.page-header .breadcrumb-item+.breadcrumb-item::before {
    color: var(--light);
}

.page-header .breadcrumb-item,
.page-header .breadcrumb-item a {
    font-size: 18px;
    color: var(--light);
}


/*** Facts ***/
.facts {
    position: relative;
    margin: 6rem 0;
    /* background: var(--dark); */
    background: #0000008f;
    /* background: #e1233c; */
}

.facts .border {
    border-color: rgba(255, 255, 255, .1) !important;
}


/*** Features ***/
.btn-play {
    position: absolute;
    top: 50%;
    right: -30px;
    transform: translateY(-50%);
    display: block;
    box-sizing: content-box;
    width: 16px;
    height: 26px;
    border-radius: 100%;
    border: none;
    outline: none !important;
    padding: 18px 20px 20px 28px;
    background: var(--primary);
}

@media (max-width: 992px) {
    .btn-play {
        left: 50%;
        right: auto;
        transform: translate(-50%, -50%);
    }
}

.btn-play:before {
    content: "";
    position: absolute;
    z-index: 0;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    display: block;
    width: 60px;
    height: 60px;
    background: var(--primary);
    border-radius: 100%;
    animation: pulse-border 1500ms ease-out infinite;
}

.btn-play:after {
    content: "";
    position: absolute;
    z-index: 1;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    display: block;
    width: 60px;
    height: 60px;
    background: var(--primary);
    border-radius: 100%;
    transition: all 200ms;
}

.btn-play span {
    display: block;
    position: relative;
    z-index: 3;
    width: 0;
    height: 0;
    left: -1px;
    border-left: 16px solid #FFFFFF;
    border-top: 11px solid transparent;
    border-bottom: 11px solid transparent;
}

@keyframes pulse-border {
    0% {
        transform: translateX(-50%) translateY(-50%) translateZ(0) scale(1);
        opacity: 1;
    }

    100% {
        transform: translateX(-50%) translateY(-50%) translateZ(0) scale(2);
        opacity: 0;
    }
}

.modal-video .modal-dialog {
    position: relative;
    max-width: 800px;
    margin: 60px auto 0 auto;
}

.modal-video .modal-body {
    position: relative;
    padding: 0px;
}

.modal-video .close {
    position: absolute;
    width: 30px;
    height: 30px;
    right: 0px;
    top: -30px;
    z-index: 999;
    font-size: 30px;
    font-weight: normal;
    color: #FFFFFF;
    background: #000000;
    opacity: 1;
}


/*** Service ***/
.service-item {
    position: relative;
    margin: 65px 0 25px 0;
    box-shadow: 0 0 45px rgba(0, 0, 0, .07);
}

.service-item .service-img {
    position: absolute;
    padding: 12px;
    width: 130px;
    height: 130px;
    top: -65px;
    left: 50%;
    transform: translateX(-50%);
    background: #FFFFFF;
    box-shadow: 0 0 45px rgba(0, 0, 0, .09);
    z-index: 2;
}

.service-item .service-detail {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    overflow: hidden;
    z-index: 1;
}

.service-item .service-title {
    position: absolute;
    padding: 65px 30px 25px 30px;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    background: #FFFFFF;
    transition: .5s;
}

.service-item:hover .service-title {
    top: -100%;
}

.service-item .service-text {
    position: absolute;
    overflow: hidden;
    padding: 65px 30px 25px 30px;
    width: 100%;
    height: 100%;
    top: 100%;
    left: 0;
    display: flex;
    align-items: center;
    text-align: center;
    /* background: rgba(2, 36, 91, .7); */
    background: #e1233c4f;
    transition: .5s;
}

.service-item:hover .service-text {
    top: 0;
}

.service-item .service-text::before {
    position: absolute;
    content: "";
    width: 100%;
    height: 100px;
    top: -100%;
    left: 0;
    transform: skewY(-12deg);
    background: #FFFFFF;
    transition: .5s;
}

.service-item:hover .service-text::before {
    top: -55px;
}

.service-item .btn {
    position: absolute;
    width: 130px;
    height: 50px;
    left: 50%;
    bottom: -25px;
    transform: translateX(-50%);
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--secondary);
    background: #FFFFFF;
    border: none;
    box-shadow: 0 0 45px rgba(0, 0, 0, .09);
    z-index: 2;
}

.service-item .btn:hover {
    color: #FFFFFF;
    /* background: var(--primary); */
    background: #e1233c;
}


/*** Project ***/
.project-carousel {
    position: relative;
    background: var(--dark);
}

.project-item {
    position: relative;
    display: block;
}

.project-item img {
    transition: .5s;
}

.project-item:hover img,
.project-carousel .owl-item.center img {
    margin-top: -60px;
}

.project-item .project-title {
    position: absolute;
    padding: 0 15px;
    width: 100%;
    height: 80px;
    bottom: -110px;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    /* background: var(--dark); */
    background: #e1233c;
    transition: .5s;
}

.project-item:hover .project-title,
.project-carousel .owl-item.center .project-title {
    bottom: -60px;
}

.project-item .project-title::before,
.project-item_1 .project-title::before {
    position: absolute;
    content: "";
    width: 100%;
    height: 30px;
    top: -15px;
    left: 0;
    transform: skewY(-5deg);
    /* background: var(--dark); */
    background: #e1233c;
    transition: .5s;
}

.project-carousel .owl-nav,
.project-carousel_1 .owl-nav {
    position: absolute;
    width: 100%;
    height: 45px;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    display: flex;
    justify-content: space-between;
    transition: .5s;
    opacity: 0;
    z-index: 1;
}

.project-carousel:hover .owl-nav,
.project-carousel_1:hover .owl-nav {
    opacity: 1;
}

.project-carousel .owl-nav .owl-prev,
.project-carousel .owl-nav .owl-next,
.project-carousel_1 .owl-nav .owl-prev,
.project-carousel_1 .owl-nav .owl-next {
    margin: 0 30px;
    width: 45px;
    height: 45px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #FFFFFF;
    /* background: var(--primary); */
    background: #e1233c;
    border-radius: 45px;
    font-size: 22px;
    transition: .5s;
}

.project-title h5 {
    color: #fff !important;
}


/*** Team ***/
.team-item .team-social {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: -100%;
    display: flex;
    align-items: center;
    /* background: var(--primary); */
    background: #000;
    transition: .5s;
}

.team-item:hover .team-social {
    left: 0;
}


/*** Testimonial ***/
.testimonial-carousel::before {
    position: absolute;
    content: "";
    top: 0;
    left: 0;
    height: 100%;
    width: 0;
    background: linear-gradient(to right, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 0) 100%);
    z-index: 1;
}

.testimonial-carousel::after {
    position: absolute;
    content: "";
    top: 0;
    right: 0;
    height: 100%;
    width: 0;
    background: linear-gradient(to left, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 0) 100%);
    z-index: 1;
}

@media (min-width: 768px) {

    .testimonial-carousel::before,
    .testimonial-carousel::after {
        width: 200px;
    }
}

@media (min-width: 992px) {

    .testimonial-carousel::before,
    .testimonial-carousel::after {
        width: 300px;
    }
}

.testimonial-carousel .owl-nav {
    position: absolute;
    width: 350px;
    top: 20px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    justify-content: space-between;
    opacity: 0;
    transition: .5s;
    z-index: 1;
}

.testimonial-carousel:hover .owl-nav {
    width: 300px;
    opacity: 1;
}

.testimonial-carousel .owl-nav .owl-prev,
.testimonial-carousel .owl-nav .owl-next {
    position: relative;
    /* color: var(--primary); */
    color: #e1233c;
    font-size: 45px;
    transition: .5s;
}

.testimonial-carousel .owl-nav .owl-prev:hover,
.testimonial-carousel .owl-nav .owl-next:hover {
    color: var(--dark);
}

.testimonial-carousel .testimonial-img img {
    width: 100px;
    height: 100px;
}

.testimonial-carousel .testimonial-img .btn-square {
    position: absolute;
    bottom: -19px;
    left: 50%;
    transform: translateX(-50%);
}

.testimonial-carousel .owl-item .testimonial-text {
    margin-bottom: 30px;
    box-shadow: 0 0 45px rgba(0, 0, 0, .08);
    transform: scale(.8);
    transition: .5s;
}

.testimonial-carousel .owl-item.center .testimonial-text {
    transform: scale(1);
}


/* products */

.products img {
    text-align: center;
    width: 100%;
}

.product_inner {
    margin-top: 50px;
}

.product_inner .row {
    row-gap: 30px;
}

.products_title {
    text-align: center;
    margin-bottom: 30px;
}

.products {
    /* border-radius: 50%; */
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    overflow: hidden;
    border-top-right-radius: 60px;
    border-top-left-radius: 60px;
}

.product_text {
    padding: 20px 10px;
    background: #e1233c;
    border-bottom-right-radius: 20px;
    border-bottom-left-radius: 20px;
}

.product_text h5 {
    color: #fff;
    font-size: 16px;
    text-align: center;
    margin: 0;
}


/* end products */


/* Appalication */

.Appalication {
    margin: 50px 0;
}

.application_tools h5 {
    margin: 10px 0;
}

.application_tools {
    text-align: center;
}

.application_tools img {
    width: 50px;
    height: 50px;
}


/* end Appalication */


/* contact */

input {
    width: 100%;
    padding: 10px 20px;
}

textarea {
    width: 100%;
    margin-bottom: 30px;
    padding: 10px 20px;
    height: 150px;
}

button.butn.butn-md.butn-bord.radius-30 {
    background: #e1233c;
    color: #fff;
    padding: 15px 45px;
    border: none;
    font-weight: bold;
}

button.butn.butn-md.butn-bord.radius-30:hover span {
    color: #000;
    transition: all 0.5s linear;
}

/* end contact */

/*** Footer ***/
.footer {
    color: #B0B9AE;
}

.footer .btn.btn-link {
    display: block;
    margin-bottom: 5px;
    padding: 0;
    text-align: left;
    color: #B0B9AE;
    font-weight: normal;
    text-transform: capitalize;
    transition: .3s;
}

.footer .btn.btn-link::before {
    position: relative;
    content: "\f105";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    margin-right: 10px;
}

.footer .btn.btn-link:hover {
    color: var(--light);
    letter-spacing: 1px;
    box-shadow: none;
}

.copyright {
    color: #B0B9AE;
    border-top: 1px solid rgba(255, 255, 255, .1);
}



/* // */


/* Gallery */

/* .gallery {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    Change to repeat(3,1fr) or more to add extra columns, then add more photos in the HTML
    gap: 15px;
    gap: 80px 20px;
    width: fit-content;
    margin: auto;
    margin-top: 50px;
} */

/* Preview container */
/* .gallery-photo {
    border: 1px solid #333;
    box-shadow: 1px 2px 3px #444;
    box-shadow: rgb(0 0 0 / 35%) 0px 5px 15px;
    border-top-right-radius: 60px;
    border-top-left-radius: 60px;
    width: 100%;
    Change ratio from square to rectangle by adjusting height and max-width
    height: 225px;
    max-width: 225px;
    max-width: 355px;
    height: 305px;
    border-radius: 10px;
    overflow: hidden;
    transition: 250ms;
} */

/* Images inside the container */
.gallery-photo img {
    min-height: 100%;
    max-width: 100%;
    object-fit: cover;
    overflow: hidden;
    cursor: pointer;
}

/* Adds an effect to previews on mouse-over */
.grow:hover {
    transform: scale(1.03);
    transition: 250ms;
}


/* Pop-up */

/* The whole element that pops up or hides */
.show_1 {
    position: fixed;
    /* z-index: 1; */
    z-index: 9999;
    display: none;
}

/* Makes the background darker*/
.show_1 .overlay {
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.75);
    position: fixed;
    top: 0;
    left: 0;
}

/* Container for the image */
.show_1 .img-show {
    width: 80vw;
    height: 80vh;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    overflow: hidden;
}

/* The image itself */
.img-show img {
    max-width: 100%;
    max-height: 95%;
    position: fixed;
    top: 48%;
    left: 50%;
    transform: translate(-50%, -50%);
    border: 1px solid #eee;
}

/* The "X" or close button */
#close {
    position: absolute;
    /* top: 10px; */
    top: 100px;
    right: 10px;
    z-index: 99;
    cursor: pointer;
    color: #333;
    font-weight: 600;
    background-color: #eee;
    border-radius: 15px;
    padding: 5px 10px;
    outline: 2px solid #333;
    opacity: 0.5;
}

#caption {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    text-align: center;
    font-size: 1.4em;
    font-weight: 400;
    color: white;
    text-shadow: 1px 1px 0 black;
}

/* Make pop-up image fill small screens a bit more */
@media (max-width:800px) {
    .show_1 .img-show {
        width: 95vw;
        height: 85vh;
    }
}